Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.bcel.classfile
Class LineNumberTable

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Attribute
          org.apache.tomcat.util.bcel.classfile.LineNumberTable

All Implemented Interfaces:
  Serializable, Cloneable

    public final class LineNumberTable

extends Attribute

This class represents a table of line numbers for debugging purposes. This attribute is used by the Code attribute. It contains pairs of PCs and line numbers.

Version:
  $Id: LineNumberTable.java 1181133 2011-10-10 18:49:14Z markt $
Author:
  M. Dahm
See Also:
  `Code`, `LineNumber`, Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Constructor Summary
`LineNumberTable(int name_index, int length, LineNumber[] line_number_table, ConstantPool constant_pool)`

Method Summary
`Attribute` | `copy(ConstantPool _constant_pool)`
`void` | `dump(DataOutputStream file)` Dump line number table attribute to file stream in binary format.
`void` | `setLineNumberTable(LineNumber[] line_number_table)`
`String` | `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`clone, getName, getTag, readAttribute`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LineNumberTable

    public LineNumberTable(int name_index,
                           int length,
                           LineNumber[] line_number_table,
                           ConstantPool constant_pool)

Method Detail

### dump

    public final void dump(DataOutputStream file)
                    throws IOException

  Dump line number table attribute to file stream in binary format.

  Overrides:
    `dump` in class `Attribute`
  Parameters:
    `file` - Output file stream
  Throws:
    `IOException`

### setLineNumberTable

    public final void setLineNumberTable(LineNumber[] line_number_table)

  Parameters:
    `line_number_table` - the line number entries for this table

### toString

    public final String toString()

  Overrides:
    `toString` in class `Attribute`
  Returns:
    String representation.

### copy

    public Attribute copy(ConstantPool _constant_pool)

  Specified by:
    `copy` in class `Attribute`
  Returns:
    deep copy of this attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.